var $ = jQuery;
var inspectorCounter = 0;
var inspectorMax = 10;
var inspectorList;

$(function() 
{
	$('body').append('<div class="EventInspectorList"></div>');
	inspectorList = $('div.EventInspectorList');
	inspectorList.on('click', 'div.EventItem', function() 
	{
		$(this).remove();
		//--inspectorCounter;
	});

	$(window).scroll(function () {
	    if ($(this).scrollTop() > 40) {
			$('.EventInspectorList').css('top', '20px');
	    } else {
			$('.EventInspectorList').css('top', '50px');
	    }
	});

});

var EventInspector = {
    TYPE: {
        SUCCESS: 'success',
        ERROR: 'error'
    },

    show: function (text, type) {
        if (inspectorCounter >= inspectorMax)
            inspectorList.children().first().remove();

        ++inspectorCounter;

        var MsgDiv = inspectorList.append('<div class="EventItem ' + type + '">' + text + '</div>').children().last();

        setTimeout(
            function () {
                --inspectorCounter;
                MsgDiv.animate({ opacity: 0 }, 1000,
                    function () {
                        $(this).remove();
                    });
            }, 4000);
    },

    error: function (text) {
        this.show(text, 'error');
    },

    success: function (text) {
        this.show(text, 'success');
    }
};

/**
 * @deprecated use EventInspector.show() instead
 */
function EventInspector_ShowMsg(text, type) {
    EventInspector.show(text, type);
}
