$(function(){
    $('#errButton').click(function ()
    {
        $.get(URLdir + "window/support", function(data){
            wnd.open(JSON.parse(data));
        });
    });

    var err_ready = true;

    $(document)
        .on('click', '#dialogSendButton', function()
        {
            var jMessageTitle = $('#messageTitle');
            var jMessage = $('#message');
            var jSendBut = $('#dialogSendButton');
            if (!err_ready)
                return;
            err_ready = false;

            // Save and erase
            var mesTitle = jMessageTitle.val();
            var mesText = jMessage.val();


            if(mesTitle.length <= 0 || mesText.length <= 0)  {
                var vMessage = (mesTitle.length <= 0)
                    ? 'Вы не ввели тему сообщения' : 'Вы не ввели сообщение';
                EventInspector_ShowMsg(vMessage, 'error');
                err_ready = true;
                return;
            }

            jMessage.prop('disabled', true);
            jMessageTitle.prop('disabled', true);
            jSendBut.prop('disabled', true);
            $.ajax({
                type: "POST",
                url: URLdir + "handler/ErrMessages/createRequest",
                data:
                {
                    title: mesTitle,
                    text: mesText
                },
                success: function(data)
                {
                    err_ready = true;
                    data = $.parseJSON(data);
                    if(data.success === true) {
                        EventInspector_ShowMsg('Сообщение успешно отправлено!', 'success');
                        jMessageTitle.val('');
                        jMessage.val('');
                    }
                    else
                        EventInspector_ShowMsg('Сообщение не отправлено', 'error');

                    jMessage.removeAttr('disabled');
                    jMessageTitle.removeAttr('disabled');
                    jSendBut.removeAttr('disabled');

                    wnd.hide();
                }
            });
        });
});